Groovy 1.7.0

## groovy.lang
Class ExpandoMetaClass.ExpandoMetaConstructor

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.ExpandoMetaClass.ExpandoMetaConstructor

    class ExpandoMetaClass.ExpandoMetaConstructor
    extends GroovyObjectSupport

Handles the ability to use the left shift operator to append new constructors

author:
  Graeme Rocher

Constructor Summary
`ExpandoMetaClass.ExpandoMetaConstructor()`

Method Summary
`Object` | `leftShift(Closure c)`

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### ExpandoMetaClass.ExpandoMetaConstructor

    ExpandoMetaClass.ExpandoMetaConstructor()

Method Detail

### leftShift

    public Object leftShift(Closure c)

Copyright © 2003-2009 The Codehaus. All rights reserved.